Restore po/POTFILES.in after crazy Pootle intervention.
[lxde/gpicview.git] / autogen.sh
CommitLineData
f54c74cf 1#! /bin/sh
f54c74cf 2AC_VERSION=
1d48a247 3
c5df417e 4AUTOMAKE=${AUTOMAKE:-automake}
5AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')
6
2c7cec9d
JL
7# FIXME: we need a better way for version check later.
8case "$AM_INSTALLED_VERSION" in
9 1.1[1-9])
10 ;;
11 *)
c5df417e 12 echo
2c7cec9d 13 echo "You must have automake >= 1.11 installed."
c5df417e 14 echo "Install the appropriate package for your distribution,"
15 echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
16 exit 1
2c7cec9d
JL
17 ;;
18esac
c5df417e 19
1d48a247 20
f54c74cf 21if [ "x${ACLOCAL_DIR}" != "x" ]; then
2c7cec9d
JL
22 ACLOCAL_ARG=-I ${ACLOCAL_DIR}
23fi
24
2c7cec9d
JL
25set -x
26
7e1dcec1 27${ACLOCAL:-aclocal$AM_VERSION} ${ACLOCAL_ARG}
c5df417e 28${AUTOHEADER:-autoheader$AC_VERSION} --force
29AUTOMAKE=$AUTOMAKE libtoolize -c --automake --force
30AUTOMAKE=$AUTOMAKE intltoolize -c --automake --force
31$AUTOMAKE --add-missing --copy --include-deps
f54c74cf 32${AUTOCONF:-autoconf$AC_VERSION}
1d48a247 33
f54c74cf 34rm -rf autom4te.cache